Skip to main content
GET
https://{tenantDomain}/api/v2
/
actions
/
executions
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.Executions.GetAsync(
            "id"
        );
    }

}
{
  "id": "c5b35bb1-c67d-40bb-9b0d-700b6fe33dd9",
  "status": "final",
  "results": [
    {
      "action_name": "my-action",
      "error": {
        "id": "<string>",
        "msg": "<string>",
        "url": "<string>"
      },
      "started_at": "2021-01-01T00:00:00.000Z",
      "ended_at": "2021-01-01T00:00:00.000Z"
    }
  ],
  "created_at": "2021-01-01T00:00:00.000Z",
  "updated_at": "2021-01-01T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the execution to retrieve.

Response

The execution was retrieved.

The result of a specific execution of a trigger.

id
string
default:c5b35bb1-c67d-40bb-9b0d-700b6fe33dd9

ID identifies this specific execution simulation. These IDs would resemble real executions in production.

trigger_id
enum<string>

An actions extensibility point.

Available options:
post-login,
credentials-exchange,
pre-user-registration,
post-user-registration,
post-change-password,
send-phone-message,
custom-phone-provider,
custom-email-provider,
password-reset-post-challenge,
custom-token-exchange,
event-stream,
password-hash-migration,
login-post-identifier,
signup-post-identifier
status
enum<string>
default:final

The overall status of an execution.

Available options:
unspecified,
pending,
final,
partial,
canceled,
suspended
results
object[]
created_at
string<date-time>
default:2021-01-01T00:00:00.000Z

The time that the execution was started.

updated_at
string<date-time>
default:2021-01-01T00:00:00.000Z

The time that the exeution finished executing.